Agiled Docs
ApiExpenses

List Expenses

GET
/public/v1/expenses

Returns paginated expenses. Supported sort fields: created_at, updated_at, expense_date, status, amount.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?string

Page number.

per_page?string

Items per page, up to 100.

sort_by?string

Sort field.

sort_direction?string

Sort direction: asc or desc.

include?string

Comma-separated includes. Supported: account, project.

account_id?string

Filter by account_id.

status?string

Filter by status.

vendor?string

Filter by vendor.

category?string

Filter by category.

Response Body

application/json

curl -X GET "https://api.agiled.ai/public/v1/expenses"
{  "data": [    {      "created_at": "string",      "id": "string",      "updated_at": "string"    }  ],  "meta": {    "current_page": 0,    "last_page": 0,    "per_page": 0,    "total": 0  }}
Empty
Empty
Empty
Empty
Empty